package com.logicbig.example;

import org.primefaces.component.dnd.Droppable;
import org.primefaces.event.DragDropEvent;
import org.primefaces.event.FileUploadEvent;
import org.primefaces.model.UploadedFile;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@ManagedBean
@ViewScoped
public class ItemsBean {
    private List<String> items;
    private List<String> selectedItems = new ArrayList<>();

    @PostConstruct
    public void postConstruct() {
        items = new ArrayList<>(Arrays.asList(
                "Shane", "Amber", "Kiley"));
    }

    public List<String> getItems() {
        return items;
    }

    public void onItemDropped(DragDropEvent event) {
        String item = (String) event.getData();
        selectedItems.add(item);
        items.remove(item);
    }

    public List<String> getSelectedItems() {
        return selectedItems;
    }
}